Subject: Re: Habitat

From: [email-masked] (Don Bowen)
Date: Thu, 06 Apr 1995 05:59:40 -0700

>Try the white pages of the phone book.  If there's no listing, you might
>call my local group, and they can probably point you to one near you.
>The number here is:
>
>(513)277-3242

        The way I was able to get a local number was to call information for
Americus Georgia to get the number of the main office.  A call to them got
me the correct local number.  I wound up not helping them because they were
doing all the local work in Mexico which is to far away for me.  Besides I
believe that there is much to be done in my local area.

  Donald E. Bowen           [email-masked]
  Valley Center CA.         [email-masked]

  Software Engineer, woodworker, historian, beekeeper, farmboy
  model railroader, 1936 Farmall 12, 1966 Corvair CORSA 140 convertible
  1 wife, 3 kids, 2 acres, 2 cats, 2 dogs, ? projects,  no TV, 24 hours